package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Rou;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface RouMapper {

    int insert(Rou record);

    int insertSelective(Rou record);

    int updateByPrimaryKeySelective(Rou record);

    int updateByPrimaryKey(Rou record);

    int deleteByPrimaryKey(Rou record);

    int deleteByIds(Collection<Object> collection);

    Rou selectByPrimaryKey(Rou record);

    int dyncDelete(Map<String, Object> dyncMap);

    int dyncUpdate(Map<String, Object> dyncMap);

    List<Rou> dyncRead(Map<String, Object> dyncMap);

    Rou selectByBussec(@Param("bussec") String  bussec);

}